Invite a user to manage your account or services

Grant another person or service access to your account with us. This is useful if you want a colleague, consultant, or external service to manage your services without giving away your login credentials.

Account & Access Delegated Access

Context

Used in the dashboard

/accept-invite/[token] /teams

Headers

Accept Example
Content-Type Example

Body

required
application/json
email string required · Example: [email protected]
label string · enum · Example: Example Label
Example Label

Responses

201
data object required
data.createdAt string required · Example: 2026-02-10T00:00:00.000Z
data.id string required · Example: f3fd50ab-c707-fde8-1150-84eb7b148568
data.inviteExpiresAt string required · Example: 2026-02-10T00:00:00.000Z
data.inviteToken string · Example: YOUR_TOKEN
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/delegated-access
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/delegated-access" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "[email protected]",
    "label": "Example Label"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "id": "f3fd50ab-c707-fde8-1150-84eb7b148568",
    "inviteToken": "YOUR_TOKEN",
    "inviteExpiresAt": "2026-02-10T00:00:00.000Z",
    "createdAt": "2026-02-10T00:00:00.000Z"
  }
}
Request Body Example 1
{
  "email": "[email protected]",
  "label": "Example Label"
}